public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Julien Roy" <julien@jroy.ca>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-cpp/trantor/
Date: Sat, 13 Apr 2024 15:04:47 +0000 (UTC)	[thread overview]
Message-ID: <1712963312.95f2fc77feafa2c85157dd228a9d8ace9ceb8a74.julien@gentoo> (raw)

commit:     95f2fc77feafa2c85157dd228a9d8ace9ceb8a74
Author:     tastytea <gentoo <AT> tastytea <DOT> de>
AuthorDate: Fri Apr 12 21:15:30 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Fri Apr 12 23:08:32 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=95f2fc77

dev-cpp/trantor: add 1.5.17

Signed-off-by: tastytea <gentoo <AT> tastytea.de>

 dev-cpp/trantor/Manifest              |  1 +
 dev-cpp/trantor/trantor-1.5.17.ebuild | 54 +++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-cpp/trantor/Manifest b/dev-cpp/trantor/Manifest
index 39004f492b..6d30f62a4d 100644
--- a/dev-cpp/trantor/Manifest
+++ b/dev-cpp/trantor/Manifest
@@ -1,2 +1,3 @@
 DIST trantor-1.5.14_p1.tar.gz 152566 BLAKE2B 09ea5e1d35d653073947e177a9630c93b235e84cdc66a69d4a944f656e957afe31206d7b6079b68f7517bfcd9619aa98e7e4bcc32c7873b01e7cfd94e0ea5704 SHA512 0725b66351a036f829499edb19be31f434ebea7133b129d994f3cb1a5e8c08844c181eab383b074bbcc8bf8efe7d761d12c593180d8ac07edf6dd8bde580578c
 DIST trantor-1.5.15.tar.gz 153133 BLAKE2B a69e46072269a8664d33d3b3b6575de07c645151a97f60bfe350d52972cf2b48c062a342c7b2ca57566fa213cc56b585b2fdf34b6d0a5f9c533d1c3f6bab2ba6 SHA512 f08bba448229d8121534cade55b74ac0d9cf5deb1c1116794c21fee37f8f8c3b3d5e6618d0806942a9bcf5eb30c87879ddaf1104417fb3fe14de0827670e03e8
+DIST trantor-1.5.17.tar.gz 155603 BLAKE2B 25631b3d8882cec58ff8eea2b449e805f846653d79af41a87b6ead6fff5c32dfc40559cdc734f51505a8ca1100b215cb8d66fa5fc5bf5baa96d6a3e93499a330 SHA512 43202240968b90d0e6d211d3b7a918567587e4ad26c360848efee2661cc1d49d35de408db5e2ff7314be879faac99ffa29ffa1f3735f9606d95874130db05250

diff --git a/dev-cpp/trantor/trantor-1.5.17.ebuild b/dev-cpp/trantor/trantor-1.5.17.ebuild
new file mode 100644
index 0000000000..4a18bcd7bd
--- /dev/null
+++ b/dev-cpp/trantor/trantor-1.5.17.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Non-blocking I/O tcp network lib based on c++14/17"
+HOMEPAGE="https://github.com/an-tao/trantor"
+SRC_URI="https://github.com/an-tao/trantor/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="adns doc +spdlog +ssl test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	adns? ( net-dns/c-ares:= )
+	ssl? ( dev-libs/openssl:= )
+	spdlog? (
+		dev-libs/spdlog:=
+		dev-libs/libfmt:=
+	)
+"
+DEPEND="
+	${RDEPEND}
+	test? ( dev-cpp/gtest )
+"
+BDEPEND="doc? ( app-text/doxygen[dot] )"
+
+src_prepare() {
+	sed -i 's/ -Werror)$/)/' CMakeLists.txt || die "could not remove -Werror"
+	cmake_src_prepare
+}
+
+src_configure() {
+	local -a mycmakeargs=(
+		"-DBUILD_SHARED_LIBS=YES"
+		"-DBUILD_DOC=$(usex doc)"
+		"-DBUILD_TESTING=$(usex test)"
+		"-DBUILD_C-ARES=$(usex adns)"
+		"-DTRANTOR_USE_TLS=$(usex ssl openssl none)"
+		"-DUSE_SPDLOG=$(usex spdlog)"
+	)
+
+	cmake_src_configure
+}
+
+src_install() {
+	use doc && HTML_DOCS="${BUILD_DIR}/docs/trantor/html/*"
+
+	cmake_src_install
+}


             reply	other threads:[~2024-04-13 15:04 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-13 15:04 Julien Roy [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-28 10:58 [gentoo-commits] repo/proj/guru:master commit in: dev-cpp/trantor/ David Roman
2024-06-28 10:58 David Roman
2024-04-13 15:04 Julien Roy
2024-01-16 10:24 David Roman
2024-01-16 10:24 David Roman
2024-01-16 10:24 David Roman
2023-09-28 15:54 David Roman
2023-09-28 15:54 David Roman
2023-08-28 16:33 David Roman
2023-08-28 16:33 David Roman
2023-03-31 10:16 Florian Schmaus
2023-03-31 10:16 Florian Schmaus
2022-11-16 10:19 Florian Schmaus
2022-11-16 10:19 Florian Schmaus
2022-09-27 20:43 Haelwenn Monnier
2022-09-27 20:43 Haelwenn Monnier
2022-09-08  0:09 [gentoo-commits] repo/proj/guru:dev " Ronny Gutbrod
2022-09-08  1:46 ` [gentoo-commits] repo/proj/guru:master " Ronny Gutbrod
2022-08-19 15:49 [gentoo-commits] repo/proj/guru:dev " Ronny Gutbrod
2022-08-24 15:52 ` [gentoo-commits] repo/proj/guru:master " Ronny Gutbrod
2022-02-26 18:16 Florian Schmaus
2021-12-01 19:34 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1712963312.95f2fc77feafa2c85157dd228a9d8ace9ceb8a74.julien@gentoo \
    --to=julien@jroy.ca \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox